# -*- coding: utf-8 -*-
from django.shortcuts import *
from django.http import *
from django.core.urlresolvers import reverse
import django.newforms as forms

from models import Entry

EntryForm = forms.models.form_for_model(Entry)

def create_entry(request):
    form = EntryForm(request.POST or None)
    if form.is_valid():
        entry = form.save()
        return HttpResponseRedirect(reverse('show_entries'))

    return render_to_response('myapp/entry_form.html', {'form': form})

def edit_entry(request, entry_id):
    entry = get_object_or_404(Entry, id=entry_id)
    form = forms.models.form_for_instance(entry)(request.POST or None)
    if form.is_valid():
        entry = form.save()
        return HttpResponseRedirect(reverse('show_entry_detail',
                                            kwargs={'object_id':entry_id }))

    return render_to_response('myapp/entry_form.html', {'form': form})

def delete_entry(request, entry_id):
    entry = get_object_or_404(Entry, id=entry_id)
    if request.method != 'GET':
        entry.delete()
        return HttpResponseRedirect(reverse('show_entries'))
    return render_to_response('myapp/entry_delete.html', {'entry': entry})
