# -*- coding: utf-8 -*-
from django.conf.urls.defaults import *
from myapp.models import Entry

urlpatterns = patterns(
    'myproject.myapp.views',

    # エントリの新規作成
    url(r'^entries/new/$',
        'create_entry',
        name='create_entry'
        ),

    # エントリの編集
    url(r'^entries/(?P<entry_id>\d+)/edit/$',
        'edit_entry',
        name='edit_entry'
        ),

    # エントリの削除
    url(r'^entries/(?P<entry_id>\d+)/delete/$',
        'delete_entry',
        name='delete_entry'
        ),
)

urlpatterns += patterns(
    'django.views.generic.list_detail',

    # エントリ一覧
    # GenericViewを使います
    url(r'^entries/$',
        'object_list',
        dict(queryset=Entry.objects.all(),
             allow_empty=True),
        name='show_entries'
        ),

    # エントリ詳細
    # GenericViewを使います
    url(r'^entries/(?P<object_id>\d+)/$',
        'object_detail',
        dict(queryset=Entry.objects.all()),
        name='show_entry_detail'
        ),
    )

urlpatterns += patterns(
    'django.views.generic.simple',

    # 上のどれでもない場合は/entries/にリダイレクト
    (r'', 'redirect_to', dict(url='/entries/')),

    )
